Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InvocableMap::ParallelAwareAggregator Class Reference

`#include <coherence/util/InvocableMap.hpp>`

Inherits InvocableMap::EntryAggregator.

Inherited by AbstractAggregator `[virtual]`, Count `[virtual]`, ParallelCompositeAggregator `[virtual]`, ParallelGroupAggregator `[virtual]`, and PriorityAggregator `[virtual]`.

List of all members.

## Detailed Description

A ParallelAwareAggregator is an advanced extension to EntryAggregator that is explicitly capable of being run in parallel, for example in a distributed environment.

## Public Types
typedef spec::Handle | Handle
| ParallelAwareAggregator Handle definition.
typedef spec::View | View
| ParallelAwareAggregator View definition.
typedef spec::Holder | Holder
| ParallelAwareAggregator Holder definition.
## Public Member Functions
virtual EntryAggregator::Handle | getParallelAggregator ()=0
| Get an aggregator that can take the place of this aggregator in situations in which the InvocableMap can aggregate in parallel.
virtual Object::Holder | aggregateResults (Collection::View vCollResults)=0
| Aggregate the results of the parallel aggregations.

## Member Function Documentation

virtual EntryAggregator::Handle getParallelAggregator | ( |  | ) | `[pure virtual]`

Get an aggregator that can take the place of this aggregator in situations in which the InvocableMap can aggregate in parallel.

Returns:
  the aggregator that will be run in parallel

Implemented in AbstractAggregator, Count, ParallelCompositeAggregator, ParallelGroupAggregator, and PriorityAggregator.

virtual Object::Holder aggregateResults | ( | Collection::View | vCollResults | ) | `[pure virtual]`

Aggregate the results of the parallel aggregations.

Parameters:

  | vCollResults | the parallel aggregation results

Returns:
  the aggregation of the parallel aggregation results

Implemented in AbstractAggregator, Count, ParallelCompositeAggregator, ParallelGroupAggregator, and PriorityAggregator.

The documentation for this class was generated from the following file:

- coherence/util/InvocableMap.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.